Bug 170864 - device-mapper mirroring backwards compatibility issue
device-mapper mirroring backwards compatibility issue
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
Brian Brock
: 173360 (view as bug list)
Depends On:
Blocks: 168429
  Show dependency treegraph
Reported: 2005-10-14 15:58 EDT by Jonathan Earl Brassow
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 15:25:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
proposed backwards compatibility patch (6.46 KB, patch)
2005-10-14 16:00 EDT, Jonathan Earl Brassow
no flags Details | Diff

  None (edit)
Description Jonathan Earl Brassow 2005-10-14 15:58:03 EDT
Description of problem:
The original mirroring code ignored device failures.  The current code
raises an event and blocks I/O completion notices until a user-space
daemon responds to the event.  Old LVM code would not be listening for
dm events, and would therefore leave the device in a blocking state.
This is not a big problem for RHEL, as we ship a current LVM.  However,
the pvmove code has not yet been updated to take advantage of the
event notifications - it just thinks it means the device is in-sync.
This makes pvmove believe that its done its job, but the device is
left in a blocking state.  Since pvmove may be used to move data off
of a failing device, this is not a good situation to have.

The fix is to cause the mirror code to behave as before unless a
flag is specified letting the kernel code know that it is ok to
raise events and block I/O completion.  The pvmove code (and previous
versions of LVM) will not use this flag and will get the behaviour
they expect.  Current LVM code will use the flag and will be able
to respond to the events.

Version-Release number of selected component (if applicable):
Comment 1 Jonathan Earl Brassow 2005-10-14 16:00:41 EDT
Created attachment 119997 [details]
proposed backwards compatibility patch

This patch has not yet been reviewed or tested
Comment 3 Alasdair Kergon 2005-11-16 14:06:49 EST
*** Bug 173360 has been marked as a duplicate of this bug. ***
Comment 7 Red Hat Bugzilla 2006-03-07 15:25:55 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.